Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Discord Ubuntu dependencies
> sudo dpkg -i /tmp/discord-0.0.5.deb

Selecting previously unselected package discord.
(Reading database ... 161079 files and directories currently installed.)
Preparing to unpack /tmp/discord-0.0.5.deb ...
Unpacking discord (0.0.5) ...
dpkg: dependency problems prevent configuration of discord:
 discord depends on libappindicator1; however:
  Package libappindicator1 is not installed.
 discord depends on libc++1; however:
  Package libc++1 is not installed.

dpkg: error processing package discord (--install):
 dependency problems - leaving unconfigured
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Errors were encountered while processing:
 discord
 
> sudo apt install -f

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  libappindicator1 libc++1 libc++abi1 libdbusmenu-gtk4 libindicator7
Suggested packages:
  indicator-application clang
The following NEW packages will be installed:
  libappindicator1 libc++1 libc++abi1 libdbusmenu-gtk4 libindicator7
0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 308 kB of archives.
After this operation, 1,299 kB of additional disk space will be used.
> sudo apt purge discord

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libappindicator1 libc++1 libc++abi1 libdbusmenu-gtk4 libindicator7
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  discord*
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
After this operation, 154 MB disk space will be freed.
Do you want to continue? [Y/n] 
(Reading database ... 161193 files and directories currently installed.)
Removing discord (0.0.5) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.1) ...
> sudo apt install libappindicator1 libc++1

And libgconf-2-4 as a variant

Also

> sudo apt install libatk-adaptor libgail-common
@darul-eng

This comment has been minimized.

Copy link

@darul-eng darul-eng commented Feb 15, 2021

sudo apt purge discord
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package discord

@darul-eng

This comment has been minimized.

Copy link

@darul-eng darul-eng commented Feb 15, 2021

how to solve this error please

@contributorpw

This comment has been minimized.

Copy link
Owner Author

@contributorpw contributorpw commented Feb 15, 2021

@darul-eng, Discord doesn't support Ubuntu repos. You have to do something like this

sudo apt purge discord
wget -O /tmp/discord_instal.deb "https://discordapp.com/api/download/stable?platform=linux&format=deb"
sudo dpkg -i /tmp/discord_instal.deb
@darul-eng

This comment has been minimized.

Copy link

@darul-eng darul-eng commented Feb 15, 2021

@contributorpw

This comment has been minimized.

Copy link
Owner Author

@contributorpw contributorpw commented Feb 15, 2021

sudo apt-get install -f
@darul-eng

This comment has been minimized.

Copy link

@darul-eng darul-eng commented Feb 15, 2021

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment